> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Run a notification action



## OpenAPI

````yaml /openapi.json post /api/notifications/{id}/action
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/notifications/{id}/action:
    post:
      tags:
        - Notifications
      summary: Run a notification action
      operationId: postApiNotificationsByIdAction
      parameters:
        - name: id
          in: path
          required: true
          schema:
            minLength: 1
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - action
              properties:
                action:
                  type: string
                  enum:
                    - accept
                    - decline
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - action
              properties:
                action:
                  type: string
                  enum:
                    - accept
                    - decline
          multipart/form-data:
            schema:
              type: object
              required:
                - action
              properties:
                action:
                  type: string
                  enum:
                    - accept
                    - decline
      responses:
        default:
          description: Response
      security:
        - bearerAuth: []
        - cookieAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key
    cookieAuth:
      type: apiKey
      in: cookie
      name: better-auth.session_token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.